<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /Users/sdy/AVS/github/avs-device-sdk/AuthDelegate/include/AuthDelegate/AuthDelegate.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.6.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d29adff17bb6696e11bfddeba1f84e1.html">AuthDelegate</a></li><li class="navelem"><a class="el" href="dir_db5d8c0121913dc21e3b483cade2bc75.html">include</a></li><li class="navelem"><a class="el" href="dir_596d4adb36d5a2c17d565835c6003d7a.html">AuthDelegate</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">AuthDelegate.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;condition_variable&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;unordered_set&gt;</code><br />
<code>#include &lt;<a class="el" href="_auth_delegate_interface_8h_source.html">AVSCommon/SDKInterfaces/AuthDelegateInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_auth_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/AuthObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_http_post_interface_8h_source.html">AVSCommon/Utils/LibcurlUtils/HttpPostInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_retry_timer_8h_source.html">AVSCommon/Utils/RetryTimer.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AuthDelegate.h:</div>
<div class="dyncontent">
<div class="center"><img src="_auth_delegate_8h__incl.png" border="0" usemap="#_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2include_2_auth_delegate_2_auth_delegate_8h" alt=""/></div>
<map name="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2include_2_auth_delegate_2_auth_delegate_8h" id="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2include_2_auth_delegate_2_auth_delegate_8h">
<area shape="rect" id="node9" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="616,105,807,144"/>
<area shape="rect" id="node10" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="730,192,921,231"/>
<area shape="rect" id="node12" href="_http_post_interface_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HttpPostInterface.h" alt="" coords="291,105,490,144"/>
<area shape="rect" id="node13" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="5,112,216,137"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_auth_delegate_8h__dep__incl.png" border="0" usemap="#_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2include_2_auth_delegate_2_auth_delegate_8hdep" alt=""/></div>
<map name="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2include_2_auth_delegate_2_auth_delegate_8hdep" id="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2include_2_auth_delegate_2_auth_delegate_8hdep">
<area shape="rect" id="node2" href="_example_auth_delegate_client_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/AuthDelegate\l/examples/ExampleAuthDelegateClient\l/src/ExampleAuthDelegateClient.cpp" alt="" coords="5,105,258,171"/>
<area shape="rect" id="node3" href="_auth_delegate_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/AuthDelegate\l/src/AuthDelegate.cpp" alt="" coords="282,112,480,164"/>
<area shape="rect" id="node4" href="_auth_delegate_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/AuthDelegate\l/test/AuthDelegateTest.cpp" alt="" coords="504,112,703,164"/>
<area shape="rect" id="node5" href="_alerts_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AlertsIntegrationTest.cpp" alt="" coords="726,112,923,164"/>
<area shape="rect" id="node6" href="_alexa_authorization_delegate_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AlexaAuthorizationDelegate\lTest.cpp" alt="" coords="947,105,1162,171"/>
<area shape="rect" id="node7" href="_alexa_communications_library_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AlexaCommunicationsLibrary\lTest.cpp" alt="" coords="1185,105,1409,171"/>
<area shape="rect" id="node8" href="_alexa_directive_sequencer_library_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AlexaDirectiveSequencerLibrary\lTest.cpp" alt="" coords="1433,105,1673,171"/>
<area shape="rect" id="node9" href="_audio_input_processor_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="1697,105,1934,171"/>
<area shape="rect" id="node10" href="_audio_player_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/AudioPlayerIntegrationTest.cpp" alt="" coords="1958,112,2193,164"/>
<area shape="rect" id="node11" href="_network_integration_tests_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/NetworkIntegrationTests.cpp" alt="" coords="2217,112,2436,164"/>
<area shape="rect" id="node12" href="_server_disconnect_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/ServerDisconnectIntegration\lTest.cpp" alt="" coords="2460,105,2678,171"/>
<area shape="rect" id="node13" href="_speech_synthesizer_integration_test_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/Integration\l/test/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="2702,105,2930,171"/>
<area shape="rect" id="node14" href="_sample_application_8cpp.html" title="/Users/sdy/AVS/github\l/avs&#45;device&#45;sdk/SampleApp\l/src/SampleApplication.cpp" alt="" coords="2954,112,3141,164"/>
</map>
</div>
</div>
<p><a href="_auth_delegate_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">alexaClientSDK::authDelegate::AuthDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1auth_delegate"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html">alexaClientSDK::authDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.6.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
